## org.apache.fop.pdf
Class PDFRectangle

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFRectangle

public class PDFRectangle
extends java.lang.Object

class representing a rectangle Rectangles are specified on page 183 of the PDF 1.3 spec.

Field Summary
`protected int` `llx` lower left x coordinate
`protected int` `lly` lower left y coordinate
`protected int` `urx` upper right x coordinate
`protected int` `ury` upper right y coordinate

Constructor Summary
`PDFRectangle(int[] array)` create a rectangle giving an array of four values
`PDFRectangle(int llx, int lly, int urx, int ury)` create a rectangle giving the four separate values

Method Summary
`byte[]` `toPDF()` produce the PDF representation for the object
`java.lang.String` `toPDFString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### llx

    protected int llx

  lower left x coordinate

### lly

    protected int lly

  lower left y coordinate

### urx

    protected int urx

  upper right x coordinate

### ury

    protected int ury

  upper right y coordinate

Constructor Detail

### PDFRectangle

    public PDFRectangle(int llx,
                        int lly,
                        int urx,
                        int ury)

  create a rectangle giving the four separate values
  Parameters:
    `llx` - lower left x coordinate
    `lly` - lower left y coordinate
    `urx` - upper right x coordinate
    `ury` - upper right y coordinate

### PDFRectangle

    public PDFRectangle(int[] array)

  create a rectangle giving an array of four values
  Parameters:
    `array` - values in the order llx, lly, urx, ury

Method Detail

### toPDF

    public byte[] toPDF()

  produce the PDF representation for the object
  Returns:
    the PDF

### toPDFString

    public java.lang.String toPDFString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.